Template Numerical Library: TNL::Algorithms::Segments::LaunchConfiguration Struct Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
TNL::Algorithms::Segments::LaunchConfiguration Struct Reference

Launch configuration for segment operations. More...

`#include <TNL/Algorithms/Segments/LaunchConfiguration.h>`

Inheritance diagram for TNL::Algorithms::Segments::LaunchConfiguration:
[legend]
Collaboration diagram for TNL::Algorithms::Segments::LaunchConfiguration:
[legend]

## Public Member Functions
| LaunchConfiguration (ThreadsToSegmentsMapping threadsToSegmentsMapping, int threadsPerSegmentCount, int blockSize=1)
const Backend::LaunchConfiguration & | getBackendLaunchConfiguration () const
int | getThreadsPerSegmentCount () const
ThreadsToSegmentsMapping | getThreadsToSegmentsMapping () const
void | setThreadsPerSegmentCount (int threadsPerSegmentCount)
void | setThreadsPerSegmentCountToWarpSize ()
void | setThreadsToSegmentsMapping (ThreadsToSegmentsMapping threadsToSegmentsMapping)
Public Member Functions inherited from TNL::Backend::LaunchConfiguration
constexpr | LaunchConfiguration (const LaunchConfiguration &)=default
constexpr | LaunchConfiguration (dim3 gridSize, dim3 blockSize, std::size_t dynamicSharedMemorySize=0U, Backend::stream_t stream=0, bool blockHostUntilFinished=true)
constexpr | LaunchConfiguration (LaunchConfiguration &&)=default

## Protected Attributes
int | threadsPerSegmentCount = 1
ThreadsToSegmentsMapping | threadsToSegmentsMapping = ThreadsToSegmentsMapping::Fixed

## Additional Inherited Members
Public Attributes inherited from TNL::Backend::LaunchConfiguration
bool | blockHostUntilFinished = true
| indicates whether host execution is blocked until the kernel execution is finished
dim3 | blockSize
| kernel block dimensions (in threads)
std::size_t | dynamicSharedMemorySize = 0U
| size of dynamic shared memory (in bytes per block)
dim3 | gridSize
| kernel grid dimensions (in blocks)
Backend::stream_t | stream = 0
| stream handle

## Detailed Description

Launch configuration for segment operations.

This class encapsulates the configuration for launching segment operations, including the mapping of threads to segments and the number of threads per segment.

The documentation for this struct was generated from the following file:

- src/TNL/Algorithms/Segments/LaunchConfiguration.h